5,604,367 Members 48,946 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Trying to flash cyanogenmod 10.2 on ATT HTC One

Tip us?
 
Acharistos
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 2
Join Date: Dec 2010
Question [Q] Trying to flash cyanogenmod 10.2 on ATT HTC One

When I try to flash my ATT HTC One with cyanogenmod 10.2 with TWRP, I get the error: assert failed: getprop(ro.product.device") == getprop("ro.product.device") == "m7att" (please see screen shot for full error code)

I checked the md5 on the cm-10.2.0-m7att.zip file, and it came back good.

I think that I am using the wrong version of cyanogenmod. In my bootloader, on the third line, its says M7_UL PVT SHIP S-OFF RH

Should I use cm-10.2.0-m7ul.zip instead?

If I do use cm-10.2.0-m7ul.zip will there be a very good chance I could brick my phone? (I know that there is always a chance of a brick, but I would rather have a lesser chance than a certain chance any day of the week)

Things I have done to my HTC One:
  1. Unlocked bootloader
  2. Rooted // Confirmed with Root Checker
  3. Installed TWRP version v2.6.3.3
  4. Used rumrunner to get S-OFF

I have included some screen shots of what I have with my HTC One.
Attached Thumbnails
Click image for larger version

Name:	IMG_0861.jpg
Views:	154
Size:	185.7 KB
ID:	2451532   Click image for larger version

Name:	IMG_0865.jpg
Views:	130
Size:	69.3 KB
ID:	2451533   Click image for larger version

Name:	cyanogenmod-10.2-install-er.jpg
Views:	156
Size:	213.6 KB
ID:	2451534  
 
clsA
Old
(Last edited by clsA; 13th December 2013 at 12:03 PM.)
#2  
clsA's Avatar
Senior Member
Thanks Meter 674
Posts: 2,554
Join Date: Aug 2010

 
DONATE TO ME
Quote:
Originally Posted by Acharistos View Post
When I try to flash my ATT HTC One with cyanogenmod 10.2 with TWRP, I get the error: assert failed: getprop(ro.product.device") == getprop("ro.product.device") == "m7att" (please see screen shot for full error code)

I checked the md5 on the cm-10.2.0-m7att.zip file, and it came back good.

I think that I am using the wrong version of cyanogenmod. In my bootloader, on the third line, its says M7_UL PVT SHIP S-OFF RH

Should I use cm-10.2.0-m7ul.zip instead?

If I do use cm-10.2.0-m7ul.zip will there be a very good chance I could brick my phone? (I know that there is always a chance of a brick, but I would rather have a lesser chance than a certain chance any day of the week)

Things I have done to my HTC One:
  1. Unlocked bootloader
  2. Rooted // Confirmed with Root Checker
  3. Installed TWRP version v2.6.3.3
  4. Used rumrunner to get S-OFF

I have included some screen shots of what I have with my HTC One.
I'm not positive but you may need to go to an older hboot and try again
it's here >> http://www.htc1guru.com/dld/1-29-401-12_hboot_1-44-zip/
also the M7ul.zip should work the same as the att one
HTC One 32 GB AT&T (S-off, Unlocked, Rooted)
Please help keep www.htc1guru.com Alive and Donate
 
iAlex684
Old
#3  
Junior Member
Thanks Meter 0
Posts: 9
Join Date: May 2013
Quote:
Originally Posted by Acharistos View Post
When I try to flash my ATT HTC One with cyanogenmod 10.2 with TWRP, I get the error: assert failed: getprop(ro.product.device") == getprop("ro.product.device") == "m7att" (please see screen shot for full error code)

I checked the md5 on the cm-10.2.0-m7att.zip file, and it came back good.

I think that I am using the wrong version of cyanogenmod. In my bootloader, on the third line, its says M7_UL PVT SHIP S-OFF RH

Should I use cm-10.2.0-m7ul.zip instead?

If I do use cm-10.2.0-m7ul.zip will there be a very good chance I could brick my phone? (I know that there is always a chance of a brick, but I would rather have a lesser chance than a certain chance any day of the week)

Things I have done to my HTC One:
  1. Unlocked bootloader
  2. Rooted // Confirmed with Root Checker
  3. Installed TWRP version v2.6.3.3
  4. Used rumrunner to get S-OFF

I have included some screen shots of what I have with my HTC One.
Try twrp 2.6.0.1
 
Acharistos
Old
#4  
Junior Member - OP
Thanks Meter 0
Posts: 2
Join Date: Dec 2010
I solved this by installing CWM 6.0.4.5 and installing the cm-10.2.0-m7ul.zip.

I now have cyanogenmod 10.2 running on my HTC One

Thanks everyone!
 
iamccw
Old
#5  
Junior Member
Thanks Meter 0
Posts: 2
Join Date: Aug 2009
thanks for your sharing
just encounter this and solve it by installing cwm 6045

Quote:
Originally Posted by Acharistos View Post
I solved this by installing CWM 6.0.4.5 and installing the cm-10.2.0-m7ul.zip.

I now have cyanogenmod 10.2 running on my HTC One

Thanks everyone!
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes